Create a new tenant with your email as user creator and with that email as user admin.

Permission Level: Read Write

POST /tenants/self-tenants

Operation id: TenantService_CreateSelfTenant

Tags: TenantService

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
tenantNamestringNo
primaryContactEmailstringNo
primaryContactFirstNamestringNo
primaryContactLastNamestringNo
tenantFriendlyNamestringNo
primaryContactIdstringNo
regionstringNo
{
  "type": "object",
  "properties": {
    "tenantName": {
      "type": "string"
    },
    "primaryContactEmail": {
      "type": "string"
    },
    "primaryContactFirstName": {
      "type": "string"
    },
    "primaryContactLastName": {
      "type": "string"
    },
    "tenantFriendlyName": {
      "type": "string"
    },
    "primaryContactId": {
      "type": "string"
    },
    "region": {
      "type": "string"
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
tenantIdstringNo
{
  "type": "object",
  "properties": {
    "tenantId": {
      "type": "string"
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}